Hi
I’m trying to use the SpotCoordinate.ByPoint node in Clockwork but it keeps returning null. Running it on a floor plan. Any ideas why this is failing? If I exploding the node, I can’t see any errors being returned.
Using Revit 2018 and Dynamo 2.0.3. @Andreas_Dieckmann
site coordinate error.dyn (8.3 KB)
SeanP
October 25, 2019, 1:15am
2
I would assume the bend and end need different points. Try providing them as static and see if it works.
But it is after a vector?
SeanP
October 25, 2019, 1:20am
4
Yes, but a vector (line/curve) from the origin.
See if this post can help you.
https://thebuildingcoder.typepad.com/blog/2010/01/spot-elevation-creation-on-top-of-beam.html
Or this
Maybe like this? Worked for me.
[Aantekening%202019-08-14%20150349]
import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.GeometryConversion)
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager
doc = DocumentManager.Instance.CurrentDBDocument
v = UnwrapElement(IN[2])
r = UnwrapElement(IN[…